name: Pull Request Check
run-name: ${{ gitea.actor }} is updating the pull request 🚀
on:
  pull_request:
    types: [ synchronize ]

jobs:
  testing:
    runs-on: node-01
    steps:
      - name: Checkout code
        uses: actions/checkout@v2

      - name: Set up Node.js
        uses: actions/setup-node@v2
        with:
          node-version: '18'  # Specify the Node.js version you need

      - name: Install dependencies
        run: npm install

      - name: Run tests
        run: npm test

      - name: Build project
        env:
          VERSION: ${{github.ref_name}}
        run: npm run build
